Bug 65058 - Installer and boot hang with aic7xxx: scsi0: Someone reset channel A
Summary: Installer and boot hang with aic7xxx: scsi0: Someone reset channel A
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-16 20:42 UTC by Malcolm
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-24 07:49:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Malcolm 2002-05-16 20:42:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
Installation of RH 7.3 on Toshiba z300 Magnia Server

main screen hangs with loading aic7xxxx...
ctl alt F4 shows looping scsi0: Someone reset channel A

installing with  linux noapic gets round the problem, but booting the system via
grub cant find a way past the system hanging with same error. 

Its an Adaptec AIC-7892 (for external non-present, i'll look for the latest drivers


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RH7.3, use noapic option
2.Boot after install
3.System hangs with aic7xxx loading
	

Actual Results:  F4 console shows scsi0: Someone reset channel A

Expected Results:  Boots normally

Additional info:

It installed and booted RH 7.2 (although had to disable PCMCIA support as caused
problems

Comment 1 Doug Ledford 2002-05-23 23:53:02 UTC
This is almost always a termination issue.  If the scsi bus isn't terminated,
then there is nothing to pull the reset line high (which is the "good" state, if
it isn't pulled high then that's what signals a reset).  Is there actually
anything on scsi0, or is it an unused channel?

Comment 2 Malcolm 2002-05-24 07:49:17 UTC
the scsi channel is currently unused, although some of these 40 units we're
deploying will have the external disk packs.

i'll do some more work on this today....and look at the termination issues




Comment 3 Doug Ledford 2002-05-24 18:04:32 UTC
If the channel is unused and you get infinite "Someone reset channel A"
messages, then you are *guaranteed* to have a termination issue.  Make sure that
the motherboard side of that connector is properly terminated.  If you have to,
get an external terminator that can plug directly onto the scsi connector on the
outside of the chassis.  But, until the termination is fixed, this will be a
problem.


Note You need to log in before you can comment on or make changes to this bug.